<div class="limiter animated fadeInRight">
    <div class="container-login100">
        <div class="wrap-login100 p-t-50 p-b-90">
            

            <form (ngSubmit)="onSubmit(registroForm)" #registroForm="ngForm" class="login100-form validate-form flex-sb flex-w">

                <span class="login100-form-title p-b-51">
                        Crear nueva cuenta
                    </span>

                <span *ngIf="registroForm.submitted &&  registroForm.controls ['email'].errors" class="text-danger" animated fadeIn>El correo es obligatorio</span>
                <div class="wrap-input100 m-b-16">
                    <input class="input100" type="email" name="email" [(ngModel)]="usuario.email" required email placeholder="Email">

                    <span class="focus-input100"></span>
                </div>

                <span *ngIf="registroForm.submitted &&  registroForm.controls ['nombre'].errors" class="text-danger" animated fadeIn>El nombre es obligatorio</span>
                <div class="wrap-input100 m-b-16">
                    <input class="input100" type="text" name="nombre" [(ngModel)]="usuario.nombre" minlength="2" required placeholder="Nombre y apellidos">

                    <span class="focus-input100"></span>
                </div>

                <span *ngIf="registroForm.submitted &&  registroForm.controls ['password'].errors" class="text-danger" animated fadeIn>La contraseña al menos debe tener 6 caracteres</span>
                <div class="wrap-input100 m-b-16" data-validate="Password is required">
                    <input class="input100" type="password" name="password" [(ngModel)]="usuario.password" minlength="6" required placeholder="Password">
                    <span class="focus-input100"></span>
                </div>

                <div class="flex-sb-m w-full p-t-3 p-b-24">
                    <div class="contact100-form-checkbox">
                        <input class="input-checkbox100" id="ckb1" type="checkbox" name="remember-me">
                        <label class="label-checkbox100" for="ckb1">
                                Recordar mi usuario
                         </label>
                    </div>

                    <div>
                        <a routerLink="/login" class="txt1">
                                ¿Ya tienes cuenta? / Ingresar
                            </a>
                    </div>
                </div>

                <div class="container-login100-form-btn m-t-17">
                    <button class="login100-form-btn" type="submit">
                            Crear cuenta
                        </button>
                </div>

            </form>
        </div>
    </div>
</div>